<?php

namespace app\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\HasilVoting;

/**
 * HasilVotingSearch represents the model behind the search form of `app\models\HasilVoting`.
 */
class HasilVotingSearch extends HasilVoting
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id_voting', 'id_user', 'pilihan', 'status_voting', 'created_by', 'updated_by', 'active'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = HasilVoting::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_voting' => $this->id_voting,
            'id_user' => $this->id_user,
            'pilihan' => $this->pilihan,
            'status_voting' => $this->status_voting,
            'created_at' => $this->created_at,
            'created_by' => $this->created_by,
            'updated_at' => $this->updated_at,
            'updated_by' => $this->updated_by,
            'active' => $this->active,
        ]);

        return $dataProvider;
    }

    public function searchData($model,$params)
    {
        $query = $model;

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_voting' => $this->id_voting,
            'id_user' => $this->id_user,
            'pilihan' => $this->pilihan,
            'status_voting' => $this->status_voting,
            'created_at' => $this->created_at,
            'created_by' => $this->created_by,
            'updated_at' => $this->updated_at,
            'updated_by' => $this->updated_by,
            'active' => $this->active,
        ]);

        return $dataProvider;
    }
}
